{{- $page := . -}}
<footer id="footer">
  <div class="container-fluid px-4 pt-4 pb-6 bg-light">
    <div class="row">
      <div class="col col-md-4">
        <div>
          <div class="d-flex justify-content-center">
            <div>
              <h3>We welcome all contributions</h3>
              <p>
                <a href="{{ .Site.Params.repo }}">Fork the repo and work on an issue&nbsp;<span class="fe fe-external-link"></span></a>
              </p>
              <p>
                <a href="{{ .Site.Params.repo }}">Fork the repo and add content&nbsp;<span class="fe fe-external-link"></span></a>
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="col col-md-4">
        <div class="d-flex justify-content-center">
          <div>
            <h4>Content</h4>
            <ul class="list-unstyled">
              {{- range .Site.Menus.footer.ByWeight -}}
              <li>
                <a href="{{ .URL | relLangURL }}">
                  {{- .Pre -}}{{- .Name -}}{{- .Post -}}
                </a>
              </li>
              {{- end -}}
            </ul>
          </div>
        </div>
      </div>
      <div class="col col-md-4">
        <div class="d-flex justify-content-center">
          <div>
            <h4>Website</h4>
            <ul class="list-unstyled">
              {{- range .Site.Menus.website.ByWeight -}}
              <li>
                <a href="{{ .URL | relLangURL }}">
                  {{- .Pre -}}{{- .Name -}}{{- .Post -}}
                </a>
              </li>
              {{- end -}}
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid px-4 py-2 bg-dark text-secondary" id="sticky-footer">
    <div class="row">
      <div class="col col-md-4">
        <div>
          <div class="d-flex justify-content-center">
            <div>
              {{- .Site.LastChange.Format "2006" -}}&nbsp;
              {{- .Site.Params.Copyright | safeHTML -}}
            </div>
          </div>
        </div>
      </div>
      <div class="col col-md-4">
        <div class="d-flex justify-content-center">
          <div>
            {{ with $repo := .Site.Params.repo }}
              {{ with $file := $page.File }}
                <a href="{{- strings.TrimRight "/" $repo -}}/-/tree/master/content/{{ .Path }}" data-toggle="tooltip" data-placement="top">View on GitLab</a>&nbsp;[<a href="{{- strings.TrimRight "/" $repo -}}/-/tree/
                {{- with (getenv "GIT_COMMIT_SHA" ) -}}
                  {{- . -}}
                {{- else -}}
                  {{- with $page.GitInfo -}}
                    {{- .Hash -}}
                  {{- end -}}
                {{- end -}}
                ">
                {{- with ( getenv "GIT_COMMIT_SHA_SHORT" ) -}}
                  {{- . -}}
                {{- else -}}
                  {{- with $page.GitInfo -}}
                    {{- .AbbreviatedHash -}}
                  {{- end -}}
                {{- end -}}
                </a>]&nbsp;<a href="{{- strings.TrimRight "/" $repo -}}/-/edit/master/content/{{ .Path }}" data-toggle="tooltip" data-placement="top">Edit on GitLab</a>
              {{ end }}
            {{ end }}
          </div>
        </div>
      </div>
      <div class="col col-md-4">
        <div class="d-flex justify-content-center">
          <div>
            <a href="http://gohugo.io">Hugo v{{- .Hugo.Version -}}</a>
            &bullet;
            Crafted with <span class="fe fe-heart"></span>
            by <a href="https://philipptempel.me">Philipp Tempel</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</footer>
